com.sun.pdfview.font

## Class Type0Font

- java.lang.Object
- - com.sun.pdfview.font.PDFFont
  - - com.sun.pdfview.font.Type0Font

    public class Type0Font
    extends PDFFont

Type 0 fonts are composite fonts with a CMAP to map between source character codes and destination fonts/codes

### Constructor Summary

Constructors
Constructor and Description
`Type0Font(java.lang.String baseFont, PDFObject fontObj, PDFFontDescriptor descriptor)` Creates a new instance of Type0Font

### Method Summary

Methods
`PDFFont` `getDescendantFont(int fontID)` Get a descendant font of this font by fontId
`protected PDFGlyph` `getGlyph(char src, java.lang.String name)` Get a character from the first font in the descendant fonts array

### Methods inherited from class com.sun.pdfview.font.PDFFont

`equals, getBaseFont, getCachedGlyph, getDescriptor, getEncoding, getFont, getGlyphs, getSubtype, getUnicodeMap, hashCode, setBaseFont, setDescriptor, setEncoding, setSubtype, setUnicodeMap, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Type0Font

    public Type0Font(java.lang.String baseFont,
             PDFObject fontObj,
             PDFFontDescriptor descriptor)
              throws java.io.IOException

Creates a new instance of Type0Font

Throws:
  `java.io.IOException`

### Method Detail

#### getDescendantFont

    public PDFFont getDescendantFont(int fontID)

Get a descendant font of this font by fontId

#### getGlyph

    protected PDFGlyph getGlyph(char src,
                    java.lang.String name)

Get a character from the first font in the descendant fonts array

Specified by:
  `getGlyph` in class `PDFFont`
Parameters:
  `src` - the character code of this glyph
  `name` - the name of this glyph or null if unknown
Returns:
  a glyph for this character